aboutsummaryrefslogtreecommitdiff
path: root/tools/etc/icpc/restart.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/etc/icpc/restart.sh')
-rwxr-xr-xtools/etc/icpc/restart.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/tools/etc/icpc/restart.sh b/tools/etc/icpc/restart.sh
new file mode 100755
index 0000000..8c6c98c
--- /dev/null
+++ b/tools/etc/icpc/restart.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+uid=`id -u`
+if [ "$uid" != "0" ]; then
+ echo "Must be root to run this script. Use sudo /bin/bash first"
+ exit 1
+fi
+
+apt-get clean
+if [ -f /etc/icpc/postgresql.version ]; then
+ . /etc/icpc/postgresql.version
+else
+POSTGRESV=""
+if [ ! -f /etc/init.d/postgresql ]; then
+ POSTGRESV="-8.4"
+fi
+fi
+
+pass=\$`echo -n icpc | makepasswd --clearfrom - --crypt-md5 | cut -d'$' -f2-`
+usermod -p "$pass" icpc
+
+rm -f /etc/icpc/.isserver
+rm -f /etc/icpc/.firsttimedone
+rm -f /etc/icpc/bocaserver.sh
+/etc/icpc/cleandisk.sh
+/etc/init.d/apache2 stop
+/etc/init.d/postgresql$POSTGRESV stop
+rm -f /var/log/apache2/*
+rm -f /var/log/postgresql/*
+update-rc.d -f apache2 remove
+update-rc.d -f postgresql$POSTGRESV remove
+